/* This file is part of the Imote2 Codeloader.
 *
 * The Imote2 Codeloader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Imote2 Codeloader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the Imote2 Codeloader. If not, see <http://www.gnu.org/licenses/>.
*/
/**
 * ImoteException.java
 *
 * @author Markus Engel
 * Copyright (c) 2009,2010 Networked Systems Group, University of Kaiserslautern
 */
package imote.communication;

/** Error */
public class ImoteException extends Exception {
	/** status */
	imote.communication.rx.Status status;

	/** setup new Exception
	 *
	 * @param status status
	 */
	ImoteException(imote.communication.rx.Status status) {
		super("Error " + status.toString() + " occured");
		this.status = status;
	}

	/** get status
	 *
	 * @return status
	 */
	public imote.communication.rx.Status getStatus() {
		return this.status;
	}
}
