/* This file is part of the Imote2 Codeloader.
 *
 * The Imote2 Codeloader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Imote2 Codeloader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the Imote2 Codeloader. If not, see <http://www.gnu.org/licenses/>.
*/
/**
 * Commands.java
 *
 * @author Markus Engel
 * Copyright (c) 2009,2010 Networked Systems Group, University of Kaiserslautern
 */
package imote.communication.tx;

/** Command Definitions */
public enum Command {
	/* these numbers must match the bootloader */
	CMD_RESET(0),
	CMD_ADDRESS(1),
	CMD_ERASE(2),
	CMD_UPLOAD(3),
	CMD_UPLOAD_FINISH(4),
	CMD_REBOOT(5),
	CMD_EXECUTE_RAM(6);
	/** message type identifier */
	private final byte cmd;

	/** setup new enumeration value from type identifier
	 *
	 * @param cmd message type identifier
	 */
	private Command(int cmd) {
		this.cmd = (byte)cmd;
	}

	/** get message type identifier
	 *
	 * @return message type identifier
	 */
	public byte getCmd() {
		return this.cmd;
	}
}
